GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::IGtHliModule Class Reference
GTPin: High-Level Instrumentation (HLI) Library

Abstract representation of the High-Level Instrumentation (HLI) module. More...

`#include <igt_hli_library.h>`

## Public Member Functions
virtual GtCoreString | Name () const =0
virtual ConstByteSpan | Spirv () const =0
virtual bool | IsScalar () const =0

## Detailed Description

Abstract representation of the High-Level Instrumentation (HLI) module.

The HLI module is a collection of HLI functions compiled to the SPIR-V representation.

## Member Function Documentation

virtual bool gtpin::IGtHliModule::IsScalar | ( |  | ) | const`[pure virtual]`

Returns:
  true, if all functions of this module must be built/transformed to SIMD1

virtual GtCoreString gtpin::IGtHliModule::Name | ( |  | ) | const`[pure virtual]`

Returns:
  Name of the module, or empty string if the module is unnamed

virtual ConstByteSpan gtpin::IGtHliModule::Spirv | ( |  | ) | const`[pure virtual]`

Returns:
  Content of the module in the SPIR-V format

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT